/*
 * This file is part of SpongeAPI, licensed under the MIT License (MIT).
 *
 * Copyright (c) SpongePowered <https://www.spongepowered.org>
 * Copyright (c) contributors
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package org.spongepowered.api.data.type;

/**
 * An enumeration of all possible {@link NotePitch}es in vanilla minecraft.
 */
public final class NotePitches {

    // These values will not be null at runtime

    public static final NotePitch F_SHARP0 = null;
    public static final NotePitch G0 = null;
    public static final NotePitch G_SHARP0 = null;
    public static final NotePitch A1 = null;
    public static final NotePitch A_SHARP1 = null;
    public static final NotePitch B1 = null;
    public static final NotePitch C1 = null;
    public static final NotePitch C_SHARP1 = null;
    public static final NotePitch D1 = null;
    public static final NotePitch D_SHARP1 = null;
    public static final NotePitch E1 = null;
    public static final NotePitch F1 = null;

    public static final NotePitch F_SHARP1 = null;
    public static final NotePitch G1 = null;
    public static final NotePitch G_SHARP1 = null;
    public static final NotePitch A2 = null;
    public static final NotePitch A_SHARP2 = null;
    public static final NotePitch B2 = null;
    public static final NotePitch C2 = null;
    public static final NotePitch C_SHARP2 = null;
    public static final NotePitch D2 = null;
    public static final NotePitch D_SHARP2 = null;
    public static final NotePitch E2 = null;
    public static final NotePitch F2 = null;
    public static final NotePitch F_SHARP2 = null;

    private NotePitches() {
    }
}
