/*
 * This file is part of SpongeAPI, licensed under the MIT License (MIT).
 *
 * Copyright (c) SpongePowered <https://www.spongepowered.org>
 * Copyright (c) contributors
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 * THE SOFTWARE.
 */
package org.spongepowered.api.world.gen;

/**
 * A pseudo-enum of {@link PopulatorObject}s.
 */
public final class PopulatorObjects {

    // Populators
    public static final PopulatorObject DESERT_WELL = null;

    // Trees
    public static final PopulatorObject BIRCH = null;
    public static final PopulatorObject CANOPY = null;
    public static final PopulatorObject JUNGLE = null;
    public static final PopulatorObject JUNGLE_BUSH = null;
    public static final PopulatorObject MEGA_BIRCH = null;
    public static final PopulatorObject MEGA_JUNGLE = null;
    public static final PopulatorObject MEGA_OAK = null;
    public static final PopulatorObject MEGA_POINTY_TAIGA = null;
    public static final PopulatorObject MEGA_TALL_TAIGA = null;
    public static final PopulatorObject OAK = null;
    public static final PopulatorObject POINTY_TAIGA = null;
    public static final PopulatorObject SAVANNA = null;
    public static final PopulatorObject SWAMP = null;
    public static final PopulatorObject TALL_TAIGA = null;

    // Mushrooms
    public static final PopulatorObject BROWN = null;
    public static final PopulatorObject RED = null;

    private PopulatorObjects() {
    }
}
